Name:           xdg-base-dirs
Version:        6.0.1
Release:        1%{?dist}
Summary:        An implementation of the XDG Base Directory Specification in Python

BuildArch:      noarch
License:        ISC
URL:            https://github.com/srstevenson/xdg-base-dirs
Source:         %{url}/archive/%{version}/xdg-base-dirs-%{version}.tar.gz

# Remove coverage tests
Patch0:         xdg-base-dirs_cov.patch

BuildRequires:  python3-devel
BuildRequires:  %{py3_dist pytest}


%description
Simple WebSocket server and client for Python


%package -n     python3-xdg-base-dirs
Summary:        %{summary}

%description -n python3-xdg-base-dirs
Simple WebSocket server and client for Python.


%prep
%autosetup -p1 -n xdg-base-dirs-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files xdg_base_dirs


%check
%pytest


%files -n python3-xdg-base-dirs -f %{pyproject_files}
%doc README.md


%changelog
* Tue Feb 06 2024 Sandro Mani <manisandro@gmail.com> - 6.0.1-1
- Initial package
